- Qt 5.15
- Qt 3D
- C++ Classes
- QStencilTest
- Qt 5.15.19 Reference Documentation

# QStencilTest Class

class Qt3DRender::QStencilTest

The QStencilTest class specifies arguments for the stecil test. More...

Header: | #include <QStencilTest>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | StencilTest
Inherits: | Qt3DRender::QRenderState

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Properties

- back : Qt3DRender::QStencilTestArguments* const
- front : Qt3DRender::QStencilTestArguments* const

## Public Functions

QStencilTestArguments * | back() const
QStencilTestArguments * | front() const

## Detailed Description

A Qt3DRender::QStencilTest class specifies argument for the stencil test. The stencil test comprises of three arguments: stencil test function, stencil test mask and stencil reference value. QStencilTest allows these arguments to be set for both front- and back-facing polygons separately.

See also Qt3DRender::QStencilMask and Qt3DRender::QStencilOperation.

## Property Documentation

### back : Qt3DRender::QStencilTestArguments* const

Holds the stencil test arguments for back-facing polygons.

Access functions:

QStencilTestArguments * | back() const

### front : Qt3DRender::QStencilTestArguments* const

Holds the stencil test arguments for front-facing polygons.

Access functions:

QStencilTestArguments * | front() const